import 'dart:io';
import 'option.dart';

class Printer {
  Printer() {}

  printPrompt(prompt) {
    clearScreen();

    stdout.writeln(prompt);
  }

  printOptions(List<Option> options) {
    options.asMap().forEach((index, value) {
      stdout.writeln('[$index] - $value');
    });
    stdout.write('> ');
  }

  clearScreen() {
    stdout.write('\x1Bc');
  }
}
